<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<c:set var="url"
	value="${bookingComponent.breadCrumbTrail['HUBSUMMARY']}" />
<c:set var="multiCentre" value="${bookingComponent.multiCentre}" />




<fmt:formatNumber
	value="${bookingComponent.totalAmount.amount-bookingInfo.calculatedDiscount.amount}"
	var="totalCostingLine" type="number" pattern="####.##"
	maxFractionDigits="2" minFractionDigits="2" />
<c:set value="${totalCostingLine}" var="totalCostingLine" scope="page" />
<c:set var="totalcost" value="${fn:split(totalCostingLine, '.')}" />


<fmt:formatNumber
	value="${bookingComponent.totalAmount.amount-bookingInfo.calculatedDiscount.amount}"
	var="totalCostingLine" type="number" pattern="####"
	maxFractionDigits="2" minFractionDigits="2" />
<c:set value="${totalCostingLine}" var="totalCostingLine" scope="page" />
<c:set var="totalcost" value="${fn:split(totalCostingLine, '.')}" />
<c:set var="cruiseDepartureDate" value="${bookingComponent.cruiseSummary.excursionSummary.cruiseDepartureDate}" />
<c:set var="summaryOrderFlag" value='<%=com.tui.uk.config.ConfReader.getConfEntry("tuithshorex.summaryorder.enable" ,"false")%>' />

<div class="component passenger-section marg-bottom-20">



	<div class="section-heading accordion-trigger" id='summary-panel'>
		<h2 class="icon-v2 icon-TUI_Sun dark-blue">
			<span class="tui-font fl marg-left-20"><%=com.tui.uk.config.ConfReader.getConfEntry("shorex.summaryTitle" ,null)%></span>
		</h2>
		<span
			class="fr icon-down icon-v2 blue-text dis-inblock icon-collapse-expand "></span>
	</div>


	<div class="summary-details accordion-content">
		<div class="summary-panel">
			<div class="summary-breakdown pad-top-0">
				<div>
					<div class="full ">
						<div class="breakdown inline marg-bottom-10 size-16">
						<c:if test='${not empty bookingComponent.cruiseSummary}'>
							<div class="sum_head_pac_wrap pad-10-0 pad-top-0">

								<p class="shorex-summary-title summary-title">
								<span class=" blue-text size-22" >
									<c:out escapeXml="false"
										value='${bookingComponent.cruiseSummary.excursionSummary.itineraryName}' /></br></span>

									<fmt:formatDate var="outstandingBalanceDueDate"
										value="${bookingComponent.cruiseSummary.excursionSummary.cruiseDepartureDate}"
										pattern="dd MMM yyyy" scope="request" />${outstandingBalanceDueDate}
									<%-- <c:out escapeXml="false"
										value='${bookingComponent.cruiseSummary.excursionSummary.cruiseDepartureDate}' /> --%>
									,
									<c:out escapeXml="false"
										value='${bookingComponent.cruiseSummary.excursionSummary.cruiseDuration}' />
									nights on
									<c:out escapeXml="false"
										value='${bookingComponent.cruiseSummary.excursionSummary.cruiseName}' />
								</p>

							</div>
							
							</c:if>
							<ul class="square brown summary-break">
								<li>
								<c:choose>  
									<c:when test="${shorexSummaryOrder == true}">  
												<c:if test='${diningReservationEnabled}'>
												<c:forEach var="dinning"
										items="${bookingComponent.cruiseSummary.excursionSummary.diningReservations}">
										<p class=" price-list size-16 shorex-summary-title pad-10-0 pad-top-0 sum_head_pac_wrap">
										<span ><span class="size-22 blue-text"><c:out value="${dinning.restarantName}"/></span><br>Reservation
										
										</span>
										<span class= "packs-price">
										<c:out escapeXml ="false"
										value="${dinning.passengersCount}"/>
												<c:choose>
												<c:when test="${dinning.passengersCount>1}" >
												passengers
												</c:when>
												<c:otherwise>
												passenger
												</c:otherwise>
											</c:choose>
											&nbsp;
											<span class="price blue-text" >
										<c:out value="${dinning.totalPayableAmountForPassengers.symbol}"/>
										<c:out value="${dinning.totalPayableAmountForPassengers.amount}"/><br></span></span>
										</p>
									</c:forEach>

									</c:if>
                             
								<c:if test='${not empty bookingComponent.cruiseSummary}'>
								<c:forEach var="excursion"
										items="${bookingComponent.cruiseSummary.excursionSummary.shorexExcursions}">
										<p class=" price-list size-16 shorex-summary-title pad-10-0 pad-top-0">
											<span class="size-22 blue-text"><c:out escapeXml="false" value='${excursion.excursionName}' /></span>
											<br>
											<c:out escapeXml="false" value='${excursion.portName}' />
											<c:out escapeXml="false" value='${excursion.countryName}' />

											<span class="packs-price"  >
											<c:out escapeXml="false"
												value='${excursion.numberOfPassengers}' />
												<c:choose>
												<c:when test="${excursion.numberOfPassengers>1}" >
												passengers
												</c:when>
												<c:otherwise>
												passenger
												</c:otherwise>
											</c:choose>
											&nbsp;
											<span class="price blue-text" >
											<c:out escapeXml="false"
												value='${excursion.excursionCost.symbol}' />
											<c:out escapeXml="false"
												value='${excursion.excursionCost.amount}' />
											</span>
											</span>
										</p>
									</c:forEach>
									</c:if>
									</c:when>   
									<c:otherwise> 							
								
										<c:forEach var="value" items="${bookingComponent.cruiseSummary.excursionSummary.allShorexSummaryElements}">
										<c:if test='${value.class.simpleName eq "DiningReservation"}'>
										<p class=" price-list size-16 shorex-summary-title pad-10-0 pad-top-0 sum_head_pac_wrap">
										<span ><span class="size-22 blue-text"><c:out value="${value.restarantName}"/></span><br>Reservation										
										</span>
										
											On Day ${value.days+1}(${value.formatedDateValue} At
										<fmt:formatDate var="excursionDate"
										value="${value.date}"
										pattern="hh:mm" scope="request" type="date" dateStyle="long"/>${excursionDate})	
										<span class= "packs-price">
										<c:out escapeXml ="false"
										value="${value.passengersCount}"/>
												<c:choose>
												<c:when test="${value.passengersCount>1}" >
												passengers
												</c:when>
												<c:otherwise>
												passenger
												</c:otherwise>
											</c:choose>
											&nbsp;
											<span class="price blue-text" >
										<c:out value="${value.totalPayableAmountForPassengers.symbol}"/>
										<c:out value="${value.totalPayableAmountForPassengers.amount}"/><br></span></span>
										</p>
									

									</c:if>                         
								<c:if test='${value.class.simpleName eq "ShorexExcursions"}'>
							
										<p class=" price-list size-16 shorex-summary-title pad-10-0 pad-top-0 sum_head_pac_wrap">
											<span class="size-22 blue-text"><c:out escapeXml="false" value='${value.excursionName}' /></span>
											<br>
											<c:out escapeXml="false" value='${value.portName}' />
											<c:out escapeXml="false" value='${value.countryName}' />
											On Day ${value.days+1}(${value.formatedDateValue})																																<span class="packs-price"  >
											<c:out escapeXml="false"
												value='${value.numberOfPassengers}' />
												<c:choose>
												<c:when test="${value.numberOfPassengers>1}" >
												passengers
												</c:when>
												<c:otherwise>
												passenger
												</c:otherwise>
											</c:choose>
											&nbsp;
											<span class="price blue-text" >
											<c:out escapeXml="false"
												value='${value.excursionCost.symbol}' />
											<c:out escapeXml="false"
												value='${value.excursionCost.amount}' />
											</span>
											</span>
										</p>
										</c:if>
									</c:forEach>
										</c:otherwise>  
								</c:choose>  
									</li>
							</ul>
							<p class=" price-list uppercase summary-title pad-top-20">
								<span class="size-18 blue-text" >
								Total Price
								</span>
								<span class="fr price blue-text" >
								<c:out escapeXml="false"
									value='${bookingComponent.cruiseSummary.excursionSummary.excursionTotalCost.symbol}' />
								<c:out escapeXml="false"
									value='${bookingComponent.cruiseSummary.excursionSummary.excursionTotalCost.amount}' />
								</span>
							</p>
						</div>
					</div>
				</div>
			</div>

		</div>
	</div>
</div>
